0 Replies Latest reply on Jul 10, 2017 9:17 PM by kimi_chen

    IES api install problem & HNI Driver

    kimi_chen

      Hi all,

       

      I am setting up the test environment for FM10000. I downloaded IES( Intel Ethernet Switch Software ) api and tried to install it in Unbuntu 16.04 LTS. I followed the guideline in some Documents .Generally, what I do is cd to ies/src and type command

      " sudo make install PLATFORM=rubyRapids REF_PLATFORM=libertyTraili INSTALL_DIRECTORY=/home/brayn/Documents".

      I go back and check my folder( /home/brayn/Documents ) , there is nothing installed in it so I assume I  failed ? Below is the message shows on terminal.

       

      brayn@brayn-Ultra-27:~/Documents/ies/src$ sudo make install PLATFORM=rubyRapids REF_PLATFORM=libertyTraili INSTALL_DIRECTORY=/home/brayn/Documents

      make[1]: Entering directory '/home/brayn/Documents/ies/src'

      /bin/mkdir -p '/usr/local/lib'

      /bin/bash ../libtool   --mode=install /usr/bin/install -c   libFocalpointSDK.la libLTStdPlatform.la '/usr/local/lib'

      libtool: install: /usr/bin/install -c .libs/libFocalpointSDK-4.1.3_0378_00314560.so /usr/local/lib/libFocalpointSDK-4.1.3_0378_00314560.so

      libtool: install: (cd /usr/local/lib && { ln -s -f libFocalpointSDK-4.1.3_0378_00314560.so libFocalpointSDK.so || { rm -f libFocalpointSDK.so && ln -s libFocalpointSDK-4.1.3_0378_00314560.so libFocalpointSDK.so; }; })

      libtool: install: /usr/bin/install -c .libs/libFocalpointSDK.lai /usr/local/lib/libFocalpointSDK.la

      libtool: install: /usr/bin/install -c .libs/libLTStdPlatform-4.1.3_0378_00314560.so /usr/local/lib/libLTStdPlatform-4.1.3_0378_00314560.so

      libtool: install: (cd /usr/local/lib && { ln -s -f libLTStdPlatform-4.1.3_0378_00314560.so libLTStdPlatform.so || { rm -f libLTStdPlatform.so && ln -s libLTStdPlatform-4.1.3_0378_00314560.so libLTStdPlatform.so; }; })

      libtool: install: /usr/bin/install -c .libs/libLTStdPlatform.lai /usr/local/lib/libLTStdPlatform.la

      libtool: install: /usr/bin/install -c .libs/libFocalpointSDK.a /usr/local/lib/libFocalpointSDK.a

      libtool: install: chmod 644 /usr/local/lib/libFocalpointSDK.a

      libtool: install: ranlib /usr/local/lib/libFocalpointSDK.a

      libtool: install: /usr/bin/install -c .libs/libLTStdPlatform.a /usr/local/lib/libLTStdPlatform.a

      libtool: install: chmod 644 /usr/local/lib/libLTStdPlatform.a

      libtool: install: ranlib /usr/local/lib/libLTStdPlatform.a

      libtool: finish: PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/snap/bin:/sbin" ldconfig -n /usr/local/lib

      ----------------------------------------------------------------------

      Libraries have been installed in:

         /usr/local/lib

       

       

      If you ever happen to want to link against installed libraries

      in a given directory, LIBDIR, you must either use libtool, and

      specify the full pathname of the library, or use the `-LLIBDIR'

      flag during linking and do at least one of the following:

         - add LIBDIR to the `LD_LIBRARY_PATH' environment variable

           during execution

         - add LIBDIR to the `LD_RUN_PATH' environment variable

           during linking

         - use the `-Wl,-rpath -Wl,LIBDIR' linker flag

         - have your system administrator add LIBDIR to `/etc/ld.so.conf'

       

       

      See any operating system documentation about shared libraries for

      more information, such as the ld(1) and ld.so(8) manual pages.

      ----------------------------------------------------------------------

      make[1]: Nothing to be done for 'install-data-am'.

      make[1]: Leaving directory '/home/brayn/Documents/ies/src'

       

      Can anyone have experience help solve this problem?

       

      Also I can't find HNI ( Host Network Interface) driver mentioned in the guideline, Where should I download it ?  Thanks!